<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for getlinkinfo.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
getlinkinfo - get external linkage information

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>getlinkinfo</B> <I>configfile</I> <I>infile</I> <I>outfile</I> { <I>infile</I> <I>outfile</I> }*

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>getlinkinfo</I> program uses <I>configfile</I> to determine which
symbols in the fileset formed by all the <I>infile</I> files are
referenced externally to the fileset and marks this information
in annotations. The annotations keep track of what
files are in the fileset at the time because this information
is only valid later for the same fileset without
omissions. This information is used by the libuseful
function unreferenced_outside_fileset(), which automatically
figures out when the information is valid. Note
that as in any other case when multiple files are read in
as one fileset, <I>linksuif</I> must be run on all the inputs
before this pass is run if there is more than a single
input SUIF file.
<P>
It is up to the user of this program to insure that <I>con</I><B>_</B>f<I>igfile</I>
is correct for a given fileset (i.e. that <I>config</I><B>_</B>f<I>ile</I>
contains information for everything else to be linked
in to create the final executable program).
<P>
The format of <I>configfile</I> is currently a text file with the
following format:
<P>
externrefs { <I>symname</I> <I>*</I> }
<P>
where each <I>symname</I> is the name of a symbol which is referenced
externally.

<H2><A NAME="sect3" HREF="#toc3"><B>See</B> <B>Also</B></A></H2>

<P>
<A HREF="man_linksuif.1.html">linksuif(1)</A>


<H2><A NAME="sect4" HREF="#toc4"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">See Also</A></LI>
<LI><A NAME="toc4" HREF="#sect4">History</A></LI>
</UL>
</BODY></HTML>
